<?php

/**
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * Required Version:
 * PHP5 or higher
 * WordPress 2.7 or higher
 *
 * If you find my work useful and you want to encourage the development of more free resources,
 * you can do it by donating...
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */

defined('PHILNA') or die('Restricted access -- PhilNa gorgeous design by yinheli < http://philna.com >');

/**
 * Ajax
 *
 * @author yinheli
 *
 */
class PhilNaAjax {
	private $ajaxFunctios = array(
		'philnaComment'
	);
	public function __construct(){
		//
	}

	public function __call($method, $args = ''){
		if(!in_array($method, $this->ajaxFunctios) && !is_bot()){
			status_header('400'); // 400 Bad Request
			die(__('Method NOT allowed!',YHL));
		}
		if(function_exists($method)){
			call_user_func($method, $args);
			die;
		}else{
			status_header('403');
			die(__('Method does NOT exists!',YHL));
		}
	}
}

if(isset($_GET['do']) && $_GET['do'] == 'ajax'){
	$ajax = new PhilNaAjax();
	if(isset($_GET['action'])){
		$arg = null;
		if(isset($_GET['arg'])){
			$arg = $_GET['arg'];
		}
		$ajax->$_GET['action']($arg);
	}
}