<?php
/**
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * Required Version:
 * PHP5 or higher
 * WordPress 2.7 or higher
 *
 * If you find my work useful and you want to encourage the development of more free resources,
 * you can do it by donating...
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */

defined('PHILNA') or die('Restricted access -- PhilNa gorgeous design by yinheli < http://philna.com >');

?>

<div id="comments-state">
	<div id="comment-switcher">
		<a href="#comments" id="switch-comments" class="active"><span><?php _e('Comments', YHL); ?> (<span id="comment-counter"><?php echo count($comments_by_type['comment']); ?></span>)</span></a>
		<?php $tpcount = count($comments)-count($comments_by_type['comment']); ?>
		<a href="#trackbacks" id="switch-backs"><span>Pingback & Trackback ( <?php echo $tpcount; ?> )</span></a>
	</div>
	<div id="comment-links">
		<?php if(pings_open()):?>
		<a href="<?php trackback_url(); ?>" id="add-a-trackback" class="icon"><span><?php _e('Send A Trackback', YHL); ?></span></a>
		<?php endif; ?>
		<?php if(comments_open()) : ?>
		<a href="#respond" id="add-a-comment" class="icon"><span><?php _e('Add A Comment', YHL); ?></span></a>
		<?php endif; ?>
	</div>
	<div class="clear"></div>
</div>
<div id="comments-list">
	<ol id="comments">
	<?php if((count($comments_by_type['comment'])>0)): ?>
	<?php wp_list_comments('type=comment&max_depth=1&callback=philnaComments&avatar_size=50'); ?>
	<?php elseif(comments_open()): ?>
		<li class="comment no-comment">
			<p><?php _e('No comments yet.', YHL); ?></p>
		</li>
	<?php elseif(!comments_open()): ?>
		<li class="comment comment-off">
			<p><?php _e('Comments are closed.', YHL); ?></p>
		</li>
	<?php endif; ?>
	</ol>
	<ol id="trackbacks" class="hide">
	<?php if($tpcount>0): ?>
	<?php
	if (function_exists('wp_list_comments')) {
		$trackbacks = $comments_by_type['pings'];
	// for WordPress 2.6.3 or lower
	} else {
		$trackbacks = $wpdb->get_results($wpdb->prepare("SELECT * FROM $wpdb->comments WHERE comment_post_ID = %d AND comment_approved = '1' AND (comment_type = 'pingback' OR comment_type = 'trackback') ORDER BY comment_date", $post->ID));
	}
	philnaTrackbacks($trackbacks);
	?>
	<?php elseif(pings_open()): ?>
		<li class="comment no-comment">
			<p><?php _e('No Trackbacks yet.', YHL); ?></p>
		</li>
	<?php elseif(!pings_open()): ?>
		<li class="comment comment-off">
			<p><?php _e('Trackbacks are closed.', YHL); ?></p>
		</li>
	<?php endif; ?>
	</ol>
</div>

<?php
if (get_option('page_comments')) {
$comment_pages = paginate_comments_links('echo=0');
if ($comment_pages) {
?>
<div id="commentnavi">
	<span class="pages"><?php _e('Comment pages', YHL); ?></span>
	<div id="cpager">
	<?php echo $comment_pages; ?>
	<span id="cp_post_id" style="display:none"><?php echo $post->ID; ?></span>
	</div>
	<div class="clear"></div>
</div>
<?php
}
}
?>

<?php
if(comments_open()){
	include_once PHILNA_COMMENT_FORM;
}
?>