<?php
/**
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * Required Version:
 * PHP5 or higher
 * WordPress 2.7 or higher
 *
 * If you find my work useful and you want to encourage the development of more free resources,
 * you can do it by donating...
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */

defined('PHILNA') or die('Restricted access -- PhilNa gorgeous design by yinheli < http://philna.com >');

include_once PHILNA_HEADER;
?>
<body>
	<div id="container">
		<div id="head">
			<div id="blog-title">
					<?php philnaBlogTitleAndDesc(); ?>
			</div>
			<?php include_once PHILNA_SEARCH_FORM; ?>
			<div class="clear"></div>
			<div id="nav">
				<ul id="menu">
					<li class="home <?php echo (is_home()) ? 'current_page_item':'page_item';?>"><a href="<?php echo get_option('home'); ?>/"><?php _e('Home',YHL);?></a></li>
					<?php wp_list_pages('title_li=0&sort_column=menu_order'); ?>
				</ul>
			</div>
			<div id="subscribe">
				<ul>
					<li id="rss-reader">
						<a href="<?php echo $GLOBALS['philnaopt']['feed_url']; ?>" id="rss-feed" class="icon"><abbr title="Really Simple Syndication">RSS</abbr> Feed</a>
					</li>
					<?php if($GLOBALS['philnaopt']['feed_email']): ?>
					<li>
						<a href="<?php echo $GLOBALS['philnaopt']['feed_url_email']; ?>" id="email-feed" class="icon">E_mail Feed</a>
					</li>
					<?php endif; ?>
					<?php if($GLOBALS['philnaopt']['show_twitter']): ?>
					<li>
						<a href="<?php echo $GLOBALS['philnaopt']['twitter_link']; ?>" id="twitter" class="icon">Twitter</a>
					</li>
					<?php endif; ?>
				</ul>
			</div>
			<div class="clear"></div>
		</div>
		<div id="content">
			<div id="main">
				<?php include_once PHILNA_NOTICE; ?>