<?php
/**
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * Required Version:
 * PHP5 or higher
 * WordPress 2.7 or higher
 *
 * If you find my work useful and you want to encourage the development of more free resources,
 * you can do it by donating...
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */

// Gzip header
include_once dirname( __FILE__ ).'/app/gzip_header.php';

// It is a javascript document
@header('Content-Type: text/javascript; charset: UTF-8');

$head = <<<END
/**
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */\n
END;

echo $head;

if( array_key_exists('load', $_GET) ){
	$files = split(',', $_GET['load']);
	foreach($files as $file){
		if(empty($file)){
			break;
		}
		$devFile = dirname(__FILE__ ).'/js/'.$file.'.dev.js';
		$minFile = dirname(__FILE__ ).'/js/'.$file.'.min.js';
		if(file_exists( $minFile )){
			include_once $minFile;
		}elseif(file_exists( $devFile )){
			include_once $devFile;
		}
	}
}