<?php
/**
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * Required Version:
 * PHP5 or higher
 * WordPress 2.7 or higher
 *
 * If you find my work useful and you want to encourage the development of more free resources,
 * you can do it by donating...
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */

defined('PHILNA') or die('Restricted access -- PhilNa gorgeous design by yinheli < http://philna.com >');

?>

</div><?php // end main ?>
<div id="sidebar">

	<?php include_once PHILNA_SIDEBAR_NOTICE; ?>

	<?php if( !function_exists('dynamic_sidebar') || !dynamic_sidebar(1) ): // top widget ?>
	<div class="widget">
		<?php philnaWidgetPostsLink($limit = 5); ?>
	</div>

	<div class="widget">
		<h3><?php _e('Recent Comments',YHL); ?></h3>
		<ul id="recentcomments">
			<?php philnaRecentcomments(); ?>
		</ul>
	</div>
	<?php endif; ?>

	<?php if( !function_exists('dynamic_sidebar') || !dynamic_sidebar(2) ): // center widget ?>
		<div class="center-widget widget">
			<div class="widget-left">
				<h3><?php _e('Archive',YHL); ?></h3>
				<ul id="archive">
					<?php wp_get_archives('limit=8'); ?>
				</ul>
			</div>
			<div class="widget-right">
				<h3><?php _e('Categories',YHL); ?></h3>
				<ul id="categories">
					<?php wp_list_categories('title_li=&show_last_update=true'); ?>
				</ul>
			</div>
			<div class="clear"></div>
		</div>
	<?php endif; ?>

	<?php if( !function_exists('dynamic_sidebar') || !dynamic_sidebar(3) ): // bottom widget ?>
	<div class="widget">
		<h3><?php _e('Tag Cloud',YHL); ?></h3>
		<?php wp_tag_cloud('unit=px&smallest=11&largest=18&order=RAND');//参数含义:单位(px),最小(11),最大(18),排序(随机) ?>
	</div>

	<div class="widget">
		<h3><?php _e('Meta',YHL); ?></h3>
		<ul>
			<?php wp_register(); ?>
			<li><?php wp_loginout(); ?></li>
		</ul>
	</div>
	<?php endif; ?>

</div>