<?php
/**
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * Required Version:
 * PHP5 or higher
 * WordPress 2.7 or higher
 *
 * If you find my work useful and you want to encourage the development of more free resources,
 * you can do it by donating...
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */

defined('PHILNA') or die('Restricted access -- PhilNa gorgeous design by yinheli < http://philna.com >');

if ( extension_loaded('zlib') and !ini_get('zlib.output_compression') and ini_get('output_handler') != 'ob_gzhandler' and ((version_compare(phpversion(), '5.0', '>=') and ob_get_length() == false) or ob_get_length() === false) ) {
	ob_start('ob_gzhandler');
}else{
	ob_start();
}
wp_enqueue_script('jquery');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes('xhtml');?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<?php global $is_IE; if($is_IE): ?>
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<?php endif; ?>
<title><?php philnaTitle(true); ?></title>
<?php philnaKeywordsAndDescription(true); ?>
<link rel="shortcut icon" href="<?php bloginfo('template_url');?>/images/favicon.ico" type="image/x-icon" />
<link rel="alternate" type="application/rss+xml" title="<?php _e('RSS 2.0 - posts', YHL); ?>" href="<?php echo $GLOBALS['philnaopt']['feed_url']; ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php _e('RSS 2.0 - all comments', YHL); ?>" href="<?php bloginfo('comments_rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>"/>
<link href="<?php bloginfo('template_url');?>/style.css" rel="stylesheet" type="text/css" media="screen" />
<script type="text/javascript">
	/* <![CDATA[ */
	var blogURL = '<?php echo get_option('siteurl'); ?>';
	/* ]]> */
</script>
<?php wp_head(); ?>
<script src="<?php bloginfo('template_url');?>/js.php?load=jQueryplugin,yinheli" type="text/javascript"></script>
</head>
