<?php
/**
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * Required Version:
 * PHP5 or higher
 * WordPress 2.7 or higher
 *
 * If you find my work useful and you want to encourage the development of more free resources,
 * you can do it by donating...
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */

defined('PHILNA') or die('Restricted access -- PhilNa gorgeous design by yinheli < http://philna.com >');

/**
 * 后台首页'快速'链接
 */
function philna_board(){
	echo '<br/><h4>', __('Theme by <a href="http://philna.com">yinheli </a>',YHL), '</h4>';
	echo '<h5>', __('Go to <a href="themes.php?page=settings.php">Theme Options page</a>?',YHL), '</h5>';
}
add_action('right_now_table_end', 'philna_board');


function philnaAdminFeed(){
	global $wp_version;
	if(version_compare($wp_version, '2.7','<=')){
		return;
	}
	$s = get_option('dashboard_widget_options');
	$s['dashboard_secondary']['link'] = 'http://philna.com';
	$s['dashboard_secondary']['url'] = 'http://feed.philna.com';
	$s['dashboard_secondary']['title'] = 'PhilNa';
	update_option('dashboard_widget_options',$s);
}
add_action('savePhilNaOpt','philnaAdminFeed');


function add_admin_footer_text($text){
	return $text.' | '.__('Thank you for using <strong><a href="http://philna.com">PhilNa</a></strong> theme.',YHL);
}
add_filter('admin_footer_text','add_admin_footer_text');