<div class="wrap">
<?php
defined('PHILNA') or die('Restricted access -- PhilNa gorgeous design by yinheli < http://philna.com >');

$title = __('PhilNa Settings',YHL);
screen_icon();

$o = new PhilNaGetOpt();

$msg = <<<END
  <div class="updated below-h2">
	<p><strong>%s</strong></p>
  </div>
END;
?>
<h2><?php echo esc_html( $title ); ?></h2>

<?php
$m = '';
if(array_key_exists('save',$_POST)){
	$m =  __('Settings saved.',YHL);
}

if(!empty($m)){
	printf($msg,$m);
}
?>

<div id="poststuff" class="dlm">
	<form method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
		<div class="stuffbox">
		<h3><?php _e('Options of PhilNa',YHL); ?></h3>
		<div class="inside">
			<table class="form-table">
			<tr>
				<th><?php _e('Meta',YHL); ?></th>
				<td>
					<?php _e('Keywords',YHL); ?>
					<small><?php _e('( Separate keywords with commas )', YHL); ?></small><br/>
					<input type="text" name="keywords" class="code" style="width:99%;" value="<?php echo($o['keywords']); ?>"><br/>
					<?php _e('Description',YHL); ?>
					<small><?php _e('( Main decription for your blog )', YHL); ?></small><br/>
					<input type="text" name="description" class="code" style="width:99%;" value="<?php echo($o['description']); ?>"><br/>
				</td>
			</tr>

			<tr>
				<th><?php _e('Notice <p><i>HTML enabled </i></p>',YHL); ?></th>
				<td>
					<?php _e('Homepage notice',YHL); ?><br/>
					<label>
					<input name="notice" type="checkbox" value="checkbox"<?php if($o['notice']) echo "checked='checked'"; ?> />
					<?php _e('This notice bar will display at the top of posts on homepage. ',YHL); ?></label><br/>
					<textarea name="notice_content" class="large-text code" rows="5" cols="50"><?php echo $o['notice_content']; ?></textarea><br/><br/>

					<?php _e('Sidebar notice',YHL); ?><br/>
					<?php _e('This showcase will display at the top of sidebar.', YHL); ?><br/>
					<?php _e('Who can see?', YHL); ?><br/>
					<label >
					<input name="showcase_registered" type="checkbox" value="checkbox" <?php if($o['showcase_registered']) echo "checked='checked'"; ?> />
					<?php _e('Registered Users', YHL); ?>
					</label>
					<label style="margin-left:15px;">
					<input name="showcase_commentator" type="checkbox" value="checkbox" <?php if($o['showcase_commentator']) echo "checked='checked'"; ?> />
					<?php _e('Commentator', YHL); ?>
					</label>
					<label style="margin-left:15px;">
					<input name="showcase_visitor" type="checkbox" value="checkbox" <?php if($o['showcase_visitor']) echo "checked='checked'"; ?> />
					<?php _e('Visitors', YHL); ?>
					</label>
					<br/>
					<label>
					<input name="showcase_caption" type="checkbox" value="checkbox" <?php if($o['showcase_caption']) echo "checked='checked'"; ?> />
					<?php _e('Title:', YHL); ?>
					</label>
					<input type="text" name="showcase_title" class="regular-text code" value="<?php echo($o['showcase_title']); ?>">
					<br/>
					<textarea name="showcase_content" id="showcase_content" class="large-text code" cols="50" rows="5" ><?php echo($o['showcase_content']); ?></textarea>
				</td>
			</tr>

			<tr>
			  <th> <?php _e('Feed Settings',YHL)?></th>
			  <td>
				<input id="feed" name="feed" type="checkbox" value="checkbox" <?php if($o['feed']) echo "checked='checked'"; ?> />
				<label for="feed">
				<?php _e('Use custom feed.', YHL); ?>
				</label>
				<br/>
				<?php _e('Custom feed URL:', YHL); ?>
				<input type="text" name="feed_url" id="feed_url" class="regular-text code" value="<?php echo $o['feed_url']; ?>">
				<br/>
				<input id="feed_email" name="feed_email" type="checkbox" value="checkbox" <?php if($o['feed_email']) echo "checked='checked'"; ?> />
				<label for="feed_email">
				<?php _e('Use E_mail feed.', YHL); ?>
				</label>
				<br/>
				<?php _e('E_mail feed URL:', YHL); ?>
				<input type="text" name="feed_url_email" class="regular-text code" value="<?php echo $o['feed_url_email']; ?>">
				<br/>
				<input id="show_twitter" name="show_twitter" type="checkbox" value="checkbox" <?php if($o['show_twitter']) echo "checked='checked'"; ?> />
				<label for="show_twitter">
				<?php _e('Show twitter link.', YHL); ?>
				</label>
				<br/>
				<?php _e('Your twitter ID:', YHL); ?>
				<input type="text" name="twitter" class="regular-text code" value="<?php echo $o['twitter']; ?>">
				<small><?php _e('e.g. <em>yinheli</em>', YHL); ?></small>
				<br/>
				<label>
				<input name="rss_additional_show" type="checkbox" value="checkbox" <?php if($o['rss_additional_show']) echo "checked='checked'"; ?> />
				<?php _e('Add custom text in your Rss such as copyright.', YHL); ?>
				</label>
				<br/>
				<label for="rss_copyright">
				<?php _e('Rss custom text goes here.', YHL); ?>
				</label>
				<br/>
				<textarea name="rss_additional" cols="50" rows="5" class="large-text code"><?php echo $o['rss_additional']; ?></textarea>
			  </td>
			</tr>

			</table>
		</div>
		</div>
		<p class="submit" style="margin-top: -2em;">
		<input class="button-primary"  type="submit" name="save" value="<?php _e('Save Changes', YHL); ?>" />
		<input type="hidden" name="save" value="save" />
		</p>
	</form>
</div>
</div>
<?php
/**
 * 捐助链接
 *
 * 1元,2元... 是对他人劳动的鼓励和肯定...
 * 所以我决定加上捐赠链接.
 *
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 */
include_once('encourage.php');
?>