<?php
/**
 * 压缩输出 javascript,css 头文件
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli. All rights reserved.
 */

// check
if ( extension_loaded('zlib') && !ini_get('zlib.output_compression') && ini_get('output_handler') != 'ob_gzhandler' && ((version_compare(phpversion(), '5.0', '>=') && ob_get_length() == false) || ob_get_length() === false) ) {
	ob_start('ob_gzhandler');
}

// The headers below tell the browser to cache the file.
@header("Cache-Control: public");
@header("Pragma: cache");

$expiresOffset = 3600*24*365;
@header( 'Vary: Accept-Encoding' ); // Handle proxies
@header( 'Expires: ' . gmdate( 'D, d M Y H:i:s', time() + $expiresOffset ) . ' GMT' );

// simply protect
$referer = getenv('HTTP_REFERER');
if(empty($referer)){
	@header('Location: http://philna.com');
}