<?php
/**
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * Required Version:
 * PHP5 or higher
 * WordPress 2.7 or higher
 *
 * If you find my work useful and you want to encourage the development of more free resources,
 * you can do it by donating...
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */

//error_reporting(E_ALL);
error_reporting(0);

// no direct access
defined('ABSPATH') or die('Restricted access -- PhilNa gorgeous design by yinheli < http://philna.com >');

//error_reporting(E_ALL);

define('YHL', 'philna');
define('PHILNA', 'yinheli');
define('THEME_NAME', 'PhilNa');
define('THEME_AUTHOR', 'yinheli');

define('NO_REVISIONS', true);

define('PHILNA_ROOT', TEMPLATEPATH);
define('PHILNA_ADMIN', PHILNA_ROOT.'/admin');
define('PHILNA_TEMPLATES', PHILNA_ROOT . '/templates');
define('PHILNA_APP', PHILNA_ROOT . '/app');
define('PHILNA_CUSFUNCS', PHILNA_ROOT . '/custom-functions');

define('PHILNA_HEADER', PHILNA_TEMPLATES .'/header.php');
define('PHILNA_MAIN', PHILNA_TEMPLATES .'/main.php');
define('PHILNA_MAIN_LOOP', PHILNA_TEMPLATES .'/main_loop.php');
define('PHILNA_SEARCH_FORM', PHILNA_TEMPLATES .'/search_form.php');
define('PHILNA_NOTICE', PHILNA_TEMPLATES .'/notice.php');
define('PHILNA_LOOP', PHILNA_TEMPLATES .'/loop.php');
define('PHILNA_COMMENT_FORM', PHILNA_TEMPLATES .'/comment_form.php');
define('PHILNA_SIDEBAR_NOTICE', PHILNA_TEMPLATES .'/sidebar_notice.php');

@header('Wordpress Theme: PhilNa BY yinheli <http://philna.com>');

// Load theme textdomain
load_theme_textdomain(YHL,dirname(__FILE__).'/language');

global $wp_version;
if(version_compare($wp_version, '2.8','>=')){
	remove_action('wp_head', 'index_rel_link');
	remove_action('wp_head', 'start_post_rel_link');
}

// Include PhilNa functions

include_once PHILNA_APP.'/getopt.php';
include_once PHILNA_APP.'/template_basic.php';
include_once PHILNA_APP.'/template.php';
include_once PHILNA_APP.'/comment.php';
include_once PHILNA_APP.'/other_functions.php';
include_once PHILNA_APP.'/ajax_methods.php';
include_once PHILNA_APP.'/ajax.php';

// Admin Options Page
if(is_admin()){
	include_once PHILNA_ADMIN.'/settings.php';
}

/**
 * Include custom functions by you!
 */
$files = scandir(PHILNA_CUSFUNCS);
foreach ($files as $file){
	if(preg_match('/\.php$/', $file)){
		include_once PHILNA_CUSFUNCS.'/'.$file;
	}
}
unset($files, $file);