<?php
/**
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * Required Version:
 * PHP5 or higher
 * WordPress 2.7 or higher
 *
 * If you find my work useful and you want to encourage the development of more free resources,
 * you can do it by donating...
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */

defined('PHILNA') or die('Restricted access -- PhilNa gorgeous design by yinheli < http://philna.com >');

global $user_ID,$user_email;
//如果是 用户 而非 管理员等
if ($user_ID){
	if (function_exists('wp_logout_url')) {
		$logout_link = wp_logout_url();
	} else {
		$logout_link = get_option('siteurl') . '/wp-login.php?action=logout';
	}
}
?>

<div class="ajax_comment_msg hide" id="comment_msg">
	<span id="ajax_comment_msg"><?php _e('Submitting Comment, Give me a second...',YHL); ?></span>
</div>

<div id="respond">
	<form id="commentform" method="post" action="<?php bloginfo('url'); ?>/wp-comments-post.php">

		<?php if($user_ID): ?>
			<?php _e('Logged in as', YHL); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><strong><?php echo $user_identity; ?></strong></a>.
			<a href="<?php echo $logout_link?>">Logout?</a>
			<div id="commenter_avatar" class="the-avatar">
				<?php echo get_avatar($user_email, 50);?>
			</div>
			<div id="welcome-words"><?php _e('Welcome !',YHL);?></div>
			<div class="clear"></div>
			<?php elseif(''!=$comment_author): ?>
			<?php printf(__('Welcome back <strong>%s</strong>.', YHL), $comment_author) ?>
			<span id="toggle-author_info"><a title="<?php _e('Show / Hide the profile',YHL);?>" href="javascript:void(0);"><?php _e('Change &raquo;',YHL); ?></a></span>
			<div id="welcome">
			<div id="commenter_avatar" class="the-avatar">
				<?php echo get_avatar($comment_author_email, 50);?>
			</div>
			<div id="welcome-words"><?php _e('I know you wanna say something!',YHL);?></div>
			<div class="clear"></div>
			</div>
		<?php endif;?>
		<?php if(''==$comment_author && !$user_ID): ?>
		<h3>Leave a comment</h3>
		<?php endif; ?>
		<div id="commentor-info" class="commentor-onfo <?php if(''!=$comment_author || $user_ID ) echo 'hide' ?>">
			<div class="row">
				<input type="text" name="author" id="author" class="textfield" value="<?php echo $comment_author; ?>" tabindex="1" />
				<label for="author"><?php _e('Name', YHL); ?> <?php if ($req) _e('(required)', YHL); ?></label>
			</div>
			<div class="row">
				<input type="text" name="email" id="email" class="textfield" value="<?php echo $comment_author_email; ?>" tabindex="2" />
				<label for="email"><?php _e('E_Mail (will not be published)', YHL);?> <?php if ($req) _e('(required)', YHL); ?></label>
			</div>
			<div class="row">
				<input type="text" name="url" id="url" class="textfield" value="<?php echo $comment_author_url; ?>" tabindex="3" />
				<label for="url"><?php _e('Website', YHL); ?></label>
			</div>
		</div>
		<div class="row">
			<textarea class="textfield" rows="8" cols="50" name="comment" id="comment" tabindex="4" title="<?php _e('Support: Ctrl + Enter | Ctrl + S | Alt + S | Alt + Enter',YHL);?>"></textarea>
		</div>
		<div class="row">
			<div id="comment-rss">
				<a href="<?php bloginfo('comments_rss2_url'); ?>"><?php _e('Comments rss', YHL); ?></a>
			</div>
			<div id="comment-form-action">
				<input name="submit" type="submit" id="submit" class="button" tabindex="5" value="<?php _e('Submit Comment', YHL); ?>" />
				<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
			</div>
		</div>
		<div class="clear"></div>
	</form>
</div>