<?php
/**
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * Required Version:
 * PHP5 or higher
 * WordPress 2.7 or higher
 *
 * If you find my work useful and you want to encourage the development of more free resources,
 * you can do it by donating...
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */

defined('PHILNA') or die('Restricted access -- PhilNa gorgeous design by yinheli < http://philna.com >');

?>

<?php if( have_posts() ) : while( have_posts() ) : the_post();?>
<div <?php post_class();?> id="post-<?php the_ID(); ?>">
<?php if( is_singular() ): ?>
<h1 class="post-title<?php if( is_single() ) echo ' single-post-title'; ?>"><a href="<?php the_permalink(); ?>" rel="bookmark inlinks" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
<?php else: ?>
<h2 class="post-title"><a href="<?php the_permalink(); ?>" rel="bookmark inlinks" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
<?php endif; ?>
	<div class="post-info">
		<span class="data icon"><?php the_time(__('F jS, Y', YHL)); ?></span>
		<span class="author icon">By <?php the_author();?></span>
		<?php edit_post_link(__('Edit', YHL), '<span class="editpost icon">', '</span>'); ?>
		<?php if(!is_singular()): ?>
		<span class="comments icon"><?php comments_popup_link(__('No comments', YHL), __('1 Comment</span>', YHL), __('% Comments', YHL)); ?></span>
		<?php else: ?>
		<span class="comments icon"><a id="skip-to-comment" href="#comments"><?php _e('Skip to comment', YHL) ?></a></span>
		<?php endif; ?>
		<div class="clear"></div>
	</div>
	<div class="post-content">
		<?php the_content(__('Read more...', YHL)); ?>
<?php if( is_singular() ) wp_link_pages('before=<p><strong>'. __('Pages:', YHL).'&after=</strong></p>'); ?>
	<div class="clear"></div>
	</div>
	<div class="post-meta">
		<span class="cat icon"><?php the_category(', ');?></span>
		<?php the_tags('<span class="tags icon">', ', ', '</span>');?>
	</div>
</div>

<?php if(is_single()): ?>
<div id="related-posts">
	<?php philnaRelatedPosts(); ?>
</div>
<?php endif; ?>

<?php endwhile; ?>
<?php
	if (function_exists('wp_list_comments')) {
		comments_template('', true);
	} else {
		comments_template();
	}
?>
<?php else: ?>
<div class="box msgbox errorbox">
<?php
 _e('Sorry, no posts matched your criteria. ',YHL);
 if(is_search())
	_e('Please try other key words.',YHL);
?>
</div>
<?php endif; ?>

<div id="pagenavi">
	<?php if(function_exists('wp_pagenavi')) : ?>
		<?php wp_pagenavi() ?>
	<?php else : ?>
		<span class="page-newer"><?php previous_posts_link(__('Newer Entries', YHL)); ?></span>
		<span class="page-older"><?php next_posts_link(__('Older Entries', YHL)); ?></span>
	<?php endif; ?>
	<div class="clear"></div>
</div>