<?php
/**
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * Required Version:
 * PHP5 or higher
 * WordPress 2.7 or higher
 *
 * If you find my work useful and you want to encourage the development of more free resources,
 * you can do it by donating...
 * paypal: yinheli@gmail.com
 * 支付宝: foxharbour@126.com
 *
 * @author yinheli
 * @link http://philna.com
 * @copyright Copyright (C) 2008 - 2009 yinheli Open Source Matters. All rights reserved.
 * @license PhilNa is released under the GPL (see license.txt).
 * @package PhilNa
 */

defined('PHILNA') or die('Restricted access -- PhilNa gorgeous design by yinheli < http://philna.com >');

?>

<?php if( is_archive() || is_search() ): ?>
<div id="archivebox">
<?php
	 if (is_search()){
		echo  __('<strong>Search Results : </strong><br/>', YHL),"\n";
		printf( __('Keyword: &quot;%1$s&quot;', YHL), wp_specialchars($s, 1) );
	 // If this is a category archive
	 }elseif (is_category()) {
		printf( __('Archive for the &quot;%1$s&quot; Category', YHL), single_cat_title('', false) );
		if( $desc = category_description()){
			echo '<p class="desc">',__('Description: ',YHL),'</p>',"\n";
			echo $desc;
		}
	// If this is a tag archive
	} elseif(is_tag()) {
		printf( __('Posts Tagged &quot;%1$s&quot;', YHL), single_tag_title('', false) );
		if( $desc = tag_description()){
			echo '<p class="desc">',__('Description: ',YHL),'</p>',"\n";
			echo $desc;
		}
	// If this is a daily archive
	} elseif (is_day()) {
		printf( __('Archive for %1$s', YHL), get_the_time(__('F jS, Y', YHL)) );
	// If this is a monthly archive
	} elseif (is_month()) {
		printf( __('Archive for %1$s', YHL), get_the_time(__('F, Y', YHL)) );
	// If this is a yearly archive
	} elseif (is_year()) {
		printf( __('Archive for %1$s', YHL), get_the_time(__('Y', YHL)) );
	// If this is an author archive
	} elseif (is_author()) {
		_e('Author Archive', YHL);
	// If this is a paged archive
	} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
		_e('Blog Archives', YHL);
	}
?>
</div>
<?php endif;
if( is_single() ):
 ?>
	<div id="position" class="icon">
	<span><?php _e('Position', YHL); ?>:</span>
	<a title="<?php _e('Back to homepage', YHL); ?>" href="<?php echo get_settings('home'); ?>/"><?php _e('Home', YHL); ?></a>
	 &gt; <?php the_category(', '); ?>
	 &gt; <?php the_title();?>
	</div>
	<?php endif; ?>
<?php
include_once PHILNA_LOOP;
